libkeymap 2.4.0 Library to manage the Linux keymaps

Functions
charset.h File Reference

Functions for charset manipulation. More...

`#include <keymap/context.h>`

Go to the source code of this file.

## Functions
void | lk_list_charsets (FILE *fp)
const char * | lk_get_charset (struct lk_ctx *ctx)
int | lk_set_charset (struct lk_ctx *ctx, const char *name)

## Detailed Description

Functions for charset manipulation.

## Function Documentation

## ◆ lk_list_charsets()

void lk_list_charsets | ( | FILE * | fp | ) |

Prints into the FILE a list of supported charsets.

Parameters

  fp | is a stream.

Returns
  nothing.

## ◆ lk_get_charset()

const char * lk_get_charset | ( | struct lk_ctx * | ctx | ) |

Returns the current name of the charset used by the library.

Parameters

  ctx | is a keymap library context.

Returns
  pointer to null-terminated string (Do not pass this pointer to free(3)).

## ◆ lk_set_charset()

int lk_set_charset | ( | struct lk_ctx * | ctx,
|  | const char * | name
| ) |  |

Sets the charset which will be used by the library.

Parameters

  ctx | is a keymap library context.
  name | is a name of charset.

Returns
  zero if the charset was found and successfully changed. On error, 1 is returned.